/*
	File:		thng.r

	Contains:	Thing resource for a Translation Extension containing 68K and PowerPC code
	
	Copyright:	 1998 by Apple Computer, Inc., all rights reserved.
*/

#define UseExtendedThingResource 1
#include "Types.r"
#ifndef UNDERMPW
	#include "Components.r"
#endif

resource 'thng' (128, locked) {
		'xlat',										/* Type */
		0,											/* Subtype */
		'M&Ms',										/* Manufacturer */
		7,		 									/* component flags */
		kAnyComponentFlagsMask,						/* component flags Mask */
		'xlat',										/* Code Type */
		128,										/* Code ID */
		'STR ',										/* Name Type */
		128,										/* Name ID */
		'STR ',										/* Info Type */
		129,										/* Info ID */
		'ICON',										/* Icon Type */
		128,										/* Icon ID */
		0,											/* version of Component */
		componentHasMultiplePlatforms +
		componentDoAutoVersion,						/* registration flags */
		0,											/* resource id of Icon Family */
		{
			7,		 								/* component flags */
			'xlat',									/* Code Type */
			128,									/* Code ID */
			platform68k,							/* platform type (response from gestaltSysArchitecture) */
			7,		 								/* component flags */
			'xlat',									/* Code Type */
			129,									/* Code ID */
			platformPowerPC							/* platform type (response from gestaltSysArchitecture) */
		}
};
